### Hierarchy

- DeepCopy<FileMeta>
  - FileMeta

## Index

### Constructors

- constructor

### Properties

- content
- createdAt
- id
- mimeType
- name
- publicKey
- size
- updatedAt

### Methods

- copy
- deepCopyFromJson
- toJson
- fromJson

## Constructors

### constructor

- new FileMeta(id?: number, publicKey?: string, name?: string, mimeType?: string, size?: number, content?: string): FileMeta

- - Defined in repository/models/FileMeta.ts:20

  #### Parameters

  - ##### Default value id: number = 0

  - ##### Default value publicKey: string = "0x0"

  - ##### Default value name: string = ""

  - ##### Default value mimeType: string = ""

  - ##### Default value size: number = 0

  - ##### Optional content: string

  #### Returns FileMeta

## Properties

### Optional content

content: string

- Defined in repository/models/FileMeta.ts:11

### createdAt

createdAt: Date = new Date()

- Defined in repository/models/FileMeta.ts:12

### id

id: number

- Defined in repository/models/FileMeta.ts:6

### mimeType

mimeType: string

- Defined in repository/models/FileMeta.ts:9

### name

name: string

- Defined in repository/models/FileMeta.ts:8

### publicKey

publicKey: string

- Defined in repository/models/FileMeta.ts:7

### size

size: number

- Defined in repository/models/FileMeta.ts:10

### updatedAt

updatedAt: Date = new Date()

- Defined in repository/models/FileMeta.ts:13

## Methods

### copy

- copy(changeArgs?: JsonObject<FileMeta>): FileMeta

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:8

  #### Parameters

  - ##### Optional changeArgs: JsonObject<FileMeta>

  #### Returns FileMeta

### Protected deepCopyFromJson

- deepCopyFromJson(): FileMeta

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/FileMeta.ts:47

  #### Returns FileMeta

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/FileMeta.ts:39

  #### Returns object

### Static fromJson

- fromJson(json: JsonObject<FileMeta>): FileMeta

- - Defined in repository/models/FileMeta.ts:15

  #### Parameters

  - ##### json: JsonObject<FileMeta>

  #### Returns FileMeta

Generated using TypeDoc